# (8) Verify otp

## Verify otp

<mark style="color:green;">`POST`</mark> `https://api.domain.com/api/services/app/OptTrans/VerifyOtp`

#### Headers

| Name                                             | Type   | Description         |
| ------------------------------------------------ | ------ | ------------------- |
| Authentication<mark style="color:red;">\*</mark> | string | Bearer Token ของคุณ |

#### Request Body

| Name                                   | Type   | Description                              |
| -------------------------------------- | ------ | ---------------------------------------- |
| Key<mark style="color:red;">\*</mark>  | string | รหัสอ้างอิงของ otp ได้รับใน step ที่ (6) |
| Code<mark style="color:red;">\*</mark> | string | otp value ที่ได้จากผู้ให้ความยินยอม      |

{% tabs %}
{% tab title="200 Verify otp successfully retrieved." %}

```
{
  "result": {
    isVerifySuccess: true
  },
  "targetUrl": null,
  "success": true,
  "error": null,
  "unAuthorizedRequest": false,
  "__abp": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reddot.co.th/consent-senario-get-purposes/8-verify-otp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
